Subject: Re: bug#42212: Guix version rendered as 0.0-git in info manual

From: Arun Isaac <[email-masked]>
Date: Thu, 16 Jul 2020 03:12:37 +0530

> The “0.0-git” string comes from (guix self).  As noted there, we can’t
> really afford to change the version string at each commit, or we’d have
> to rebuild the manual at each commit.
>
> We could perhaps choose a more meaningful version string, though, maybe
> by looking at the closest tag or something.

That sounds good, and `git describe` could provide us with the closest
tag. Unfortunately, (git) doesn't seem to be available during `guix
pull`. I'm trying to come up with workarounds. Do you have any ideas?